QIMA Logo
API Reference

8 categories • 44 endpoints

  • All APIs

    44


  • Inspection
    v1.0.0

    Get async booking result by request ID

    Request

    Query Parameters
    NameTypeLocationRequiredDescription
    requestIdstringpathYesThe request ID returned by `POST /v1.0/async-inspection`.
    Responses

    200
    Async booking result returned. Contains the booking status and, if completed, the booking confirmation details.

    Content-Type: application/json

    requestId
    string
    FieldTypeDescription
    requestIdstringRequest id of the async booking
    FieldTypeDescription
    orderNumberstringOrder number of the async booking inspection
    FieldTypeDescription
    orderIdstringOrder id of the async booking inspection
    FieldTypeDescription
    statusstringStatus of the async booking inspection.
    FieldTypeDescription
    clientRefNumberstringReference number
    FieldTypeDescription
    commentsstringAsync booking comments
    FieldTypeDescription
    companyIdstringAsync booking company id
    FieldTypeDescription
    userIdstringAsync booking user id
    FieldTypeDescription
    bookingInfostringAsync booking json
    FieldTypeDescription
    orderInfostringAsync booking order json
    FieldTypeDescription
    insertTimestringAsync booking insert time
    FieldTypeDescription
    updateTimestringAsync booking update time
    {
      "message": null,
      "content": {
        "requestId": "E97EFEEBCAD647CCAAF4F123E889BC4E",
        "orderNumber": "Q2600368591-PP",
        "orderId": "8D21A68F78124F828E2232051E2712FD",
        "status": "SUCCEED",
        "clientRefNumber": "2107-0-041",
        "comments": "Async place order successfully",
        "companyId": "23EC09AB0F3C46BBA4F79718DCED16D0",
        "userId": "4C6E94072DFC4918B60752F701DE544A",
        "insertTime": "2026-07-02 15:13:00",
        "updateTime": "2026-07-02 15:13:05"
      }
    }
    GET
    /booking-result/{requestId}
    Request samples

    application/json

    {}

    Response samples

    application/json

    { "message": null, "content": { "requestId": "E97EFEEBCAD647CCAAF4F123E889BC4E", "orderNumber": "Q2600368591-PP", "orderId": "8D21A68F78124F828E2232051E2712FD", "status": "SUCCEED", "clientRefNumber": "2107-0-041", "comments": "Async place order successfully", "companyId": "23EC09AB0F3C46BBA4F79718DCED16D0", "userId": "4C6E94072DFC4918B60752F701DE544A", "insertTime": "2026-07-02 15:13:00", "updateTime": "2026-07-02 15:13:05" } }